This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 501448 - udev assigns wrong major number to /dev/capi20
udev assigns wrong major number to /dev/capi20
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 04:31 EDT by Andreas Spengler
Modified: 2009-12-18 04:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:27:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Spengler 2009-05-19 04:31:48 EDT
Description of problem:

I try to load the Fritz!X USB kernel module alongside the CAPI kernel modules. Entering "capiinit start" gives "could not access /dev/capi20 or /dev/isdn/capi20 - No such device or address (6)".

Looking at /dev/capi20, the device file has a major number 191 instead of 68 as specified in the kernel documentation.

How reproducible: always

Actual results: Entering "capiinit start" gives "could not access /dev/capi20 or /dev/isdn/capi20 - No such device or address (6)". Same result with "capiinfo".

Expected results: After issueing "capiinit start" a subsequent "capiinfo" should display the device's capabilities.
Comment 1 Peter Bieringer 2009-06-09 01:43:28 EDT
Same happen on Fedora 10 

kernel-2.6.27.9-159.fc10
udev-127-3

Workaround:

# rm -f /dev/capi20
# mknod /dev/capi20 c 68 0

Note that on initial load of capi modules /dev/capi has 68,0, but this changed here after calling capiinit.

Looks like there is an udev rule required, which catches /dev/capi20 and adjust the device node values.

BTW: loading of module capi explicitly mentioned "started up with major 68 (middleware+capifs)

@Reporter: pls. change version to 10
Comment 2 Bug Zapper 2009-11-18 05:03:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Peter Bieringer 2009-11-26 08:31:59 EST
Looks like fixed at least in F12
Comment 4 Bug Zapper 2009-12-18 04:27:53 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.